#!/home/dugger/.conda/envs/tomopy/bin/python3
import h5py
import numpy as np

intensity = np.loadtxt('data.csv', delimiter=',',usecols = 3)
intensity = (intensity.astype(np.float32)).reshape(181, 1, 640)

dark = np.loadtxt('data_dark.csv', delimiter=',',usecols = 3)
dark = (dark.astype(np.float32)).reshape(10, 1, 640)

white = np.loadtxt('data_light.csv', delimiter=',',usecols = 3)
white = (dark.astype(np.float32)).reshape(10, 1, 640)

thetaVals = np.loadtxt('theta.csv')

#print(intensity)

h5File = h5py.File('myOutFile.h5', 'w')
exchange = h5File.create_group("exchange")
implements = h5File.create_dataset("implements", data="exchange")


exchange.create_dataset("data", data=intensity)
exchange.create_dataset("data_dark", data=dark)
exchange.create_dataset("data_white", data=white)
exchange.create_dataset("theta", data=thetaVals)

h5File.close()


print("Hi!")

exit
